from textwrap import fill
import tkinter as tk

px = 280                            #バーのX座標
bx = 300                            #ボールのX座標
by = 0                              #ボールのY座標
mx = 2                              #ボールのスピードX
my = 2                              #ボールのスピードY
pts = 0

def key_handler(e):
    global px
    if e.keycode == 37 : px -= 5     #keycodeが左矢印(37)
    if e.keycode == 39 : px += 5     #keycodeが右矢印(39)

def main():
    global bx, by, mx, my, pts
    cvs.delete("all")
    cvs.create_rectangle(px, 395, px + 60, 398, fill="red")     #バーの表示
    bx += mx                                                    #ボールをmx進める
    by += my                                                    #ボールをmy進める
    if bx < 0 or bx > 600 :
        mx *= -1                                                #ボールが左右どちらかの壁に当たったら跳ね返す
        pts += 10                                               #10pts
    if by < 0 :
        my *= -1                                                #ボールが上の壁に当たったら跳ね返す
        pts += 100                                              #100pts
    if by > 394 :
        if bx > px and bx < px +60:
            my *= -1                                            #ボールがバーに当たったら跳ね返す
        else:
            quit()                                              #そうじゃなかったらゲームオーバー
    cvs.create_rectangle(bx, by, bx + 5, by + 5, fill="blue")   #ボールの表示
    cvs.create_text(10,10,text=str(pts))                        #ptsの表示
    root.after(10, main)
root = tk.Tk()
root.bind("<Key>", key_handler)
cvs = tk.Canvas(width=600, height=400, bg="skyblue")            #背景の表示

cvs.pack()
main()
root.mainloop()